-- croom room
drop if exists table croom_room;
create table croom_room(roomid int not null,
       roomname string(50) not null);

create primary btree on croom_room(roomid);
create unique btree croom_room_b1 on croom_room(roomname);
       
-- croom user
drop if exists table croom_user;
create table croom_user(userid int not null,
    username string(50));

create primary btree on croom_user(userid);
create unique btree croom_user_b1 on croom_user(username);

-- croom user2room
drop if exists table croom_user2room;
create table croom_user2room(userid int not null,
		roomid int not null,
		msgid_sent int default 0 not null,    
		msgid_confirmed int default 0 not null,
		status string(10) not null);

create primary btree on croom_user2room(userid, roomid);

-- croom msg
drop if exists table croom_message;
create table croom_message(
		msgid int not null,
		userid int not null,
		roomid int not null,
		msgtext string(30) not null,
		imgid int,
		msgts datetime );

create primary btree on croom_message(msgid);

-- croom image
drop if exists table croom_image;
create table croom_image(
		imgid int not null,
		imgtype string(20) not null,
		img blob not null);

create primary btree on croom_image(imgid);

drop if exists view croom_unreadmsgview;
create view croom_unreadmsgview as
select
-- r.roomid as roomid,
-- r.roomname as roomname,
 rec.userid as userid,
 rec.username as msgrec,
 m.msgid as msgid,
 send.username as msgsend
from
 croom_user2room u2r 
 inner join croom_user rec on rec.userid = u2r.userid 
 inner join croom_message m on m.roomid = 1
 inner join croom_user send on send.userid = m.userid
where rec.username != send.username;

-- where send.username != rec.username; 


-- left outer join croom_image i on m.imgid = i.imgid;


insert into croom_user values ( 1, 'lemke');
insert into croom_user values ( 2, 'bert');
insert into croom_room values ( 1, 'TalkRoom');
insert into croom_user2room values ( 1, 1, 0, 0, 'XXX');
insert into croom_user2room values ( 2, 1, 0, 0, 'XXX');

insert into croom_message values ( 1, 2, 1, 'XXX', null, null);
insert into croom_message values ( 2, 2, 1, 'XXX', null, null);
 
select * from croom_unreadmsgview;
select * from croom_unreadmsgview where msgrec = 'lemke';
